package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.ResumeRemindService;
import com.engine.recruit.service.impl.ResumeRemindServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/03/13
 * @version: 1.0
 */
public class ResumeRemindWrapper extends Service {
    private ResumeRemindService getResumeRemindService(User user) {
        return ServiceUtil.getService(ResumeRemindServiceImpl.class, user);
    }

    public Map<String, Object> doRemindJob(Map<String, Object> param) {
        return getResumeRemindService(user).doRemindJob(param);
    }
}
